<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: m17n ライブラリ</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li class="current"><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>m17n ライブラリ </h1><h3 class="version">1.6.2 </h3><h2><a class="anchor" id="what">
m17n ライブラリとは?</a></h2>
<p><em>m17nライブラリ</em> は C 言語用の多言語文書処理ライブラリです。</p>
<ul>
<li>
<p class="startli">自由公開ソフトウェアです。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GNU/Linux と Unix のアプリケーションやライブラリから利用できます。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">アプリケーションやライブラリのさまざまな側面で、多言語化を実現し ます。</p>
<p class="endli"></p>
</li>
</ul>
<p>"m17n" とは "multilingualization" の省略形です。</p>
<p>m17n ライブラリは多言語を扱うため、以下の機能を提供します。</p>
<ul>
<li>
<p class="startli"><em>M-text</em>: 多言語テキスト用のデータ構造。基本的には文字列であるが、 テキストプロパティと呼ばれる属性が付いており、C の文字列の代わりになる よう設計されている。m17n ライブラリで最も重要なオブジェクト。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">M-text を作ったり取り扱ったりするための関数。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">M-text と既存のフォーマットでコード化された文字列との間の変換を行 う関数。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">巨大な文字空間。 Unicode 文字すべてとそれ以上の数の非 Unicode 文 字を含むことができる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli"><em>文字テーブル</em>: 文字毎の情報を効率的に保持するデータ構造。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">M-text をウィンドウシステム上で入力／表示する関数。</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="usage">
利用方法</a></h2>
<p>&lt;m17n<em></em>.h&gt; をプログラムに include し、-lm17n で m17n ライブラリ とリンクしてください。 <a class="el" href="group__m17nIntro.html">はじめに</a> を参照。 </p>
<h2><a class="anchor" id="extralib">
外部ライブラリ／データ</a></h2>
<p>m17n ライブラリは以下の外部ライブラリを利用しています。必須ではありま せんが、m17n ライブラリの幾つかの関数はこれらに依存しています。</p>
<ul>
<li>
<p class="startli">m17n-db -- <a href="http://www.m17n.org/m17n-lib-ja/download/m17n-db-1.5.0.tar.gz">http://www.m17n.org/m17n-lib-ja/download/m17n-db-1.5.0.tar.gz</a></p>
<p>m17n ライブラリに種々の情報を提供します。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">libxml2 -- <a href="http://xmlsoft.org/">http://xmlsoft.org/</a></p>
<p>関数 <a class="el" href="group__m17nTextProperty.html#ga4830a8a120aeed2185d6da8fd2daa05e" title="M-text 中のテキストプロパティをシリアライズする.">mtext_serialize()</a> と <a class="el" href="group__m17nTextProperty.html#ga82e022961a26f82ddf580782a50d94bf" title="M-text 中のテキストプロパティをデシリアライズする.">mtext_deserialize()</a> が使います。 libxml2 が利用できない時には、これらの関数は NULL を返します。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">fribidi -- <a href="http://fribidi.sourceforge.net/">http://fribidi.sourceforge.net/</a></p>
<p>BIDI 処理に使います。利用できない時は、m17n ライブラリの表示エン ジンは Arabic やHebrew などのスクリプトを正しく処理できません。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">freetype -- <a href="http://www.freetype.org/">http://www.freetype.org/</a></p>
<p>ローカルフォントの処理に使います。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">fontconfig -- <a href="http://nexp.cs.pdx.edu/fontconfig/">http://nexp.cs.pdx.edu/fontconfig/</a></p>
<p>Xft と共に、ローカルフォントの検索に使います。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">xft -- <a href="http://freedesktop.org/Software/Xft">http://freedesktop.org/Software/Xft</a></p>
<p>fontconfig と共に X サーバの XRender 拡張を利用してテキストをロー カルフォントで表示するために使います。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">GD テキストをローカルフォントで bitmap/pixmap 上に表示するのに使いま す。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">libotf -- <a href="http://www.m17n.org/libotf/">http://www.m17n.org/libotf/</a></p>
<p>freetype と共に OpenType フォントの処理に使います。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">anthy -- <a href="http://anthy.sourceforge.jp/">http://anthy.sourceforge.jp/</a></p>
<p>日本語入力メソッド ja-anthy.mim が使います。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">wordcut -- <a href="http://thaiwordseg.sourceforge.net/">http://thaiwordseg.sourceforge.net/</a></p>
<p>プログラム例 example/linebreak.c 中でタイ語の語の境界を見つけるた めに使っています。</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="contact">
連絡先:</a></h2>
<p>独立行政法人 産業技術総合研究所<br/>
 情報技術研究部門<br/>
 グローバル IT セキュリティグループ</p>
<p>Web: <a href="http://www.m17n.org/m17n-lib-ja/">http://www.m17n.org/m17n-lib-ja/</a></p>
<p>バグレポート: <a href="mailto:m17n-lib-bug-XXXX@m17n.org">m17n-lib-bug-XXXX@m17n.org</a> (XXXXの部分には現在の年（西暦）を4桁で入れてください。)</p>
<p>メイリングリスト: <a href="http://www.m17n.org/m17n-lib-ja/mailinglist.htm">http://www.m17n.org/m17n-lib-ja/mailinglist.htm</a></p>
<h2><a class="anchor" id="ack">
謝辞</a></h2>
<p>Special thanks to:</p>
<ul>
<li>
<p class="startli">Dimitri van Heesch &lt;<a href="mailto:dimitri@stack.nl">dimitri@stack.nl</a>&gt;</p>
<p>Author of Doxygen &lt;<a href="http://www.stack.nl/~dimitri/doxygen/">http://www.stack.nl/~dimitri/doxygen/</a>&gt;. Without this tool, it would have been impossible to create this documentation.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">Information-technology Promotion Agency (IPA), Japan</p>
<p>Writing this documentation was partially funded by Information-technology Promotion Agency (IPA) &lt;<a href="http://www.ipa.go.jp/about/english/index.html">http://www.ipa.go.jp/about/english/index.html</a>&gt; in fiscal year 2001.</p>
<p class="endli"></p>
</li>
</ul>
 
<hr>
Copyright (C) 2001 Information-technology Promotion Agency (IPA)<p>
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)<p>

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts, and no Back-Cover Texts.  A
copy of the license is included in the appendix entitled "GNU Free
Documentation License".

 </div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
